#!/usr/bin/env bash
# 定义应用组名
group_name='ezhizao'

# 定义应用名称
app_name='ezhizao_yzbh_financial_api'
# 定义挂载目录名称
volume_name='ezhizao_yzbh_financial'
# 定义应用版本
app_version='1.0-SNAPSHOT'
# 定义后端端口
app_port=8044
# 定义应用环境
profile_active='linux'

# 删除镜像
# docker rmi ${group_name}/${app_name}:${app_version}
# echo '----rm image----'

# 打包编译docker镜像
docker build -t ${group_name}/${app_name}:${app_version} .

if [ $? -eq 0 ]; then
    echo '----build image success----'
else
    echo '----build image fail----'
    exit 1
fi

# 停止容器
docker stop ${app_name}
echo '----stop container----'

# 删除容器
docker rm ${app_name}
echo '----rm container----'

# 启动容器
docker run -p ${app_port}:${app_port} --name ${app_name} --network yzbh_network \
-e 'spring.profiles.active'=${profile_active} \
-e TZ="Asia/Shanghai" \
-v /home/build/${volume_name}/logs:/home/ruoyi/logs \
-v /home/files:/home/files \
--restart=always \
-d ${group_name}/${app_name}:${app_version}
echo '----start container----'

docker system prune -f
echo '----clear docker----'
